Reddit /r/Pizzagate Archive

The--Lodge | 5 points | Nov 12 2016 21:07:06

IS THIS NORMAL??? Commentor of a strange PIZZA restaurant which is CONNECTED to all of this

https://www.instagram.com/porouswalker/

permalink

Contrary_mma_hipster | 1 points | Nov 12 2016 22:17:45

Archive and save (to an external drive) everything before posting please. What strange pizza restaurant is this?

permalink

The--Lodge | 1 points | Nov 12 2016 22:20:11

Pizza Brains

permalink

mediastinks | 1 points | Nov 13 2016 01:34:12

"nice! Instagram should just have a spin off for us colorful folks and call it "innuendoGram" and we will live happily ever after. They'd kick people off you are too proper or prudish"

-pinpimp

permalink